
Core - Task # 45151

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes
Task # 56376 (Resolved): Invalid relations of IRRE records in workspaces

Status: Rejected Priority: Should have
Author: Oliver Hader Category: IRRE
Created: 2013-02-04 Assigned To: Oliver Hader
Updated: 2014-07-17 Due date:
TYPO3 Version: 4.7
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: IRRE 1n:csv parent records point to workspace placeholder
Description

IRRE 1n:csv parent records point to workspace placeholder instead of using the specific versioned record on copying.
If records are copied or newly created on a workspace, a version placeholder is created and overlayed by the specific version of the
record.

The fix is to resolve the specific version uid of the record.

History
#1 - 2013-02-04 23:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/18010

#2 - 2013-02-13 14:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18238

#3 - 2013-02-13 14:45 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/18010

#4 - 2014-01-08 22:38 - Oliver Hader
- Parent task set to #54853
- Is Regression set to No

#5 - 2014-01-08 22:38 - Oliver Hader
- Assigned To deleted (Oliver Hader)
#6 - 2014-01-08 22:39 - Oliver Hader
- Status changed from Under Review to Needs Feedback

#7 - 2014-02-18 00:45 - Oliver Hader
- Status changed from Needs Feedback to On Hold

#8 - 2014-03-16 13:04 - Oliver Hader
- Parent task changed from #54853 to #56376

#9 - 2014-03-17 16:59 - Oliver Hader
- Status changed from On Hold to Rejected
- Assigned To set to Oliver Hader
- % Done changed from 0 to 100

Not required anymore since record shall point to default-live record.

#10 - 2014-07-16 16:49 - Tim Spiekerkötter

Hi Oliver,

it seems to me that the problem still exists in TYPO3 6.2.4.

I have some sort of tt_content (custom CTYPE) with IRRE 1n:csv relations. On changing/adding an new inline child in a workspace and publishing the
changes, the parent (tt_content) element has wrong uids connected. The updated tt_content element has the child uids from the workspace version.

It gets even worse: child records created in the workspace are copied into the "INITIAL PLACEHOLDER" record and than deleted. So after publishing
I have an tt_content record with not only wrong uids, but also uids that doesn't even exist anymore.

Can you provide me with some information on this issue?

Thanks,
diego

#11 - 2014-07-17 13:57 - Tim Spiekerkötter

Hi Oliver,

it's me again. I found out, that for me your reason "Not required anymore since record shall point to default-live record." does not apply. After saving
the parent within the workspace, the parent record gets updated through the DataHandler and puts the uids of the newly created
Workspace-child-records into the relation field. So at this moment I have an parent Live-parent-record that has different uids in the relation field to the
workspace-parent-record. On publishing these changes, the wrong uids get copied over to the Live-parent-record.

It would be nice to get some help on this issue, maybe someone has experienced something similar?

Thanks,
diego
